com.ietnet.fse.igestore

## Class Consenso

- java.lang.Object
- - com.ietnet.fse.igestore.Consenso

-     public class Consenso
      extends java.lang.Object

  Container delle informazioni sul singolo consenso
  Author:
    nitti

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Consenso()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDate()` Ritorna la data in cui è stato impostato il consenso
    `java.lang.String` | `getId()` Ritorna l'ID del consenso {C1|C2|C3}
    `java.lang.String` | `getName()` Ritorna il nome del consenso
    `java.lang.String` | `getValue()` Ritorna il valore del consenso {true|false|none}
    `void` | `setDate(java.lang.String date)` Imposta la data in cui è stato impostato il consenso
    `void` | `setId(java.lang.String id)` Imposta l'ID del consenso {C1|C2|C3}
    `void` | `setName(java.lang.String name)` Imposta il nome del consenso
    `void` | `setValue(java.lang.String value)` Imposta il valore del consenso {true|false|none}

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Consenso

          public Consenso()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Ritorna l'ID del consenso {C1|C2|C3}
      Returns:
        C1,C2, C3 per alimentazione, consultazione, pregresso

    - #### setId

          public void setId(java.lang.String id)

      Imposta l'ID del consenso {C1|C2|C3}
      Parameters:
        `C1,C2,` - C3 per alimentazione, consultazione, pregresso

    - #### getName

          public java.lang.String getName()

      Ritorna il nome del consenso
      Returns:
        Alimentazione, Consultazione, Pregresso

    - #### setName

          public void setName(java.lang.String name)

      Imposta il nome del consenso
      Parameters:
        `Alimentazione,` - Consultazione, Pregresso

    - #### getValue

          public java.lang.String getValue()

      Ritorna il valore del consenso {true|false|none}
      Returns:
        true|false|none

    - #### setValue

          public void setValue(java.lang.String value)

      Imposta il valore del consenso {true|false|none}
      Parameters:
        `true|false|none` -

    - #### getDate

          public java.lang.String getDate()

      Ritorna la data in cui è stato impostato il consenso
      Returns:
        la data in cui è stato impostato il consenso

    - #### setDate

          public void setDate(java.lang.String date)

      Imposta la data in cui è stato impostato il consenso
      Parameters:
        `la` - data in cui è stato impostato il consenso